﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls.Grids;
using System.Windows.Data;

namespace CustomConditionalFormatRule
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            this.Loaded += new RoutedEventHandler(MainPage_Loaded);
          //   grid.Rows[0].Data.
        }

        void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            List<Data> data = new List<Data>();
            for (int i = 0; i < 25; i++)
            {
                Data d = new Data() { Name = "Person " + i, Value = i % 5 };
                data.Add(d);
            }
            grid.ItemsSource = data;
        }
    }

    public class Data
    {
        public string Name { get; set; }
        public double Value { get; set; }
    }

    public class MyConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {


            if ((double)value >= 3)
            {
                return new SolidColorBrush(Colors.Green);
            }
            else
            {
                return new SolidColorBrush(Colors.Red);
            }
           

              
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }




}
